SGE_Helper_Service.exe(8)

NAME
SGE_Helper_Service.exe - Grid Engine job execution agent helper service

SYNOPSIS
SGE_Helper_Service.exe [ -help | -install | -uninstall ]

DESCRIPTION

SGE_Helper_Service.exe helps the to run Windows jobs that request to be allowed to display their GUI on the visible Desktop. It is a Win32 service that is started at boot time under the SYSTEM account, giving it the permissions to give any process the permissions to access the visible Desktop.
This service runs independently of the (i.e. it is not started and stopped togehter with the execution daemon) and there can be only one SGE_Helper_Service.exe per host.
Jobs can request to be allowed to display their GUI on the visible desktop by setting the job environment variable "SGE_GUI_MODE" to "TRUE" or "1". See , option "-v", for informations how to set a job environment variable.

OPTIONS

  -help
Prints a listing of all options.

  -install
Installs the service. Only the local Administrator has the permissions to install the service.

  -uninstall
Uninstalls the service. Only the local Administrator has the permissions to uninstall the service. Only a stopped service can be uninstalled. See the Windows command net.exe for informations how to stop a service.

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.